import request from '@/utils/request'

// 查询房屋抵押信息列表
export function listProperty(query) {
    return request({
        url: '/crmMortgageProperty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询房屋抵押信息详细
export function getProperty(id) {
    return request({
        url: '/crmMortgageProperty/' + id,
        method: 'get'
    })
}

// 新增房屋抵押信息
export function addProperty(data) {
    return request({
        url: '/crmMortgageProperty',
        method: 'post',
        data: data
    })
}

// 修改房屋抵押信息
export function updateProperty(data) {
    return request({
        url: '/crmMortgageProperty',
        method: 'put',
        data: data
    })
}

// 删除房屋抵押信息
export function delProperty(id) {
    return request({
        url: '/crmMortgageProperty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPropertyBatch(ids) {
    console.log(ids);
    return request.post('/crmMortgageProperty/delete',ids)
}